Subject: Bug#1100605: ALSA Fails to Initialize "Line Out - Built-in Audio" at Boot

From: bobby <[email-masked]>
Date: Sat, 15 Mar 2025 18:01:09 -0500

Package: alsa-utils
Version: (your ALSA version, check with `aplay --version`)
Severity: normal

Dear Debian ALSA Maintainers,

I am experiencing an issue where ALSA fails to properly initialize my 
default sound output device after boot. Sound is **not working on first 
login**, but **switching to "Digital Output (S/PDIF)" and back to "Line 
Out - Built-in Audio" restores sound**. This issue occurs every time I 
reboot.

### **Steps to Reproduce:**
1. Boot into Debian.
2. Open **Settings → Sound**.
3. Select **Line Out - Built-in Audio** and test sound → **No audio 
output**.
4. Switch to **Digital Output (S/PDIF)**.
5. Switch back to **Analog Stereo Output (Line Out)** → **Sound works**.

### **Expected Behavior:**
- ALSA should initialize **Analog Stereo Output (Line Out)** correctly 
at boot without manual toggling.

### **System Details:**
- **ALSA Info Report:** 
[http://alsa-project.org/db/?f=65de2828201b128f1fca4ddf477257b1f4ca5862](http://alsa-project.org/db/?f=65de2828201b128f1fca4ddf477257b1f4ca5862)
- **Kernel Version:** (6.1.0-31-amd64)
- **ALSA Version:** (aplay: version 1.2.8 by Jaroslav Kysela 
<[email-masked]>)
- **Default Sound Card:** ( 0 [PCH            ]: HDA-Intel - HDA Intel PCH
                       HDA Intel PCH at 0xf7240000 irq 139)

dmesg: read kernel buffer failed: Operation not permitted
- **Logs (    Active Profile: output:analog-stereo
     State: SUSPENDED
     Name: alsa_output.pci-0000_00_1f.3.analog-stereo
---
  0 [PCH            ]: HDA-Intel - HDA Intel PCH
                       HDA Intel PCH at 0xf7240000 irq 139
---
---
aplay: version 1.2.8 by Jaroslav Kysela <[email-masked]>):**

This issue happens **every time on boot** and requires a **manual toggle 
workaround**. It may be related to ALSA not restoring the correct 
profile at startup.

Please let me know if I can provide any more details.

Best regards,
<bobby>
(Debian 12 user)